Subject: Re: [Nfvrg] Solicit comments for draft-gu-nfvrg-cloud-bng-architecture-00 "Control and User Plane Separation Architecture of Cloud based BNG"

From: Kostas Pentikousis <[email-masked]>
Date: Thu, 2 Mar 2017 16:09:07 +0100 (CET)

Hi Rong, 

I had a quick look at the draft, and I have a couple of comments/suggestions. Hopefully they can be of help in a possible revision. 

It's not clear what is the goal and scope of the draft. Is this kind of a dissemination activity for a project you have been involved? Perhaps adding a couple of paragraphs about the motivation for this work may set the stage a bit better. Further, some time ago, the EU FP7 SPARC project (http://www.fp7-sparc.eu/) has looked into BRAS/BNG in a similar context; the deliverables and publications on the site may be of interest to you. In particular, this ComMag paper summarized the overall approach: https://doi.org/10.1109/MCOM.2014.6917416. 

Regarding the draft text, I think it needs some editorial work; here's a few nits: 

s/Clond-based/cloud-based 
s/centralized deployed as/centrally deployed as 
s/router functi on/router function 

p. 4, the sentence "or use of the local" ends abruptly. 

Edge TIC layer: I guess you mean that BNG-UP, not BNG-CP, is "deployed in this layer". 

The ref to RFC 2234 is not actually used. 

Finally, there's a number of acronyms that are not defined on first appearance (e.g. BNG), or not at all (e.g. CSCF, NE). For a short document, I personally find defining the acronyms on first appearance easier to read than providing an acronyms list (sec. 3). 

Just my $0.02. 

Best regards, 

Kostas 

From: "gurong cmcc" <[email-masked]> 
To: "nfvrg" <[email-masked]> 
Sent: Wednesday, March 1, 2017 4:29:37 AM 
Subject: [Nfvrg] Solicit comments for draft-gu-nfvrg-cloud-bng-architecture-00 "Control and User Plane Separation Architecture of Cloud based BNG" 

BQ_BEGIN

Hi, dear all. 

I submit a new draft introducing a control plane (BNG-CP) and user plane (BNG-UP) separation of cloud BNG. In the future network, BNG-UP and BNG-CP are core components for fixed broadband service deployed at different layer. 

For details: 

URL: [ https://www.ietf.org/internet-drafts/draft-gu-nfvrg-cloud-bng-architecture-00.txt | https://www.ietf.org/internet-drafts/draft-gu-nfvrg-cloud-bng-architecture-00.txt ] 

Any comments are welcome. Or if you are interested in that, feel free to contact me. 

Best regards. 

Gu Rong 

发件人: [email-masked] <[email-masked]> 
发送时间: 2017年2月28日 17:27 
收件人: Rong Gu; Shujun Hu 
主题: New Version Notification for draft-gu-nfvrg-cloud-bng-architecture-00.txt 

A new version of I-D, draft-gu-nfvrg-cloud-bng-architecture-00.txt 
has been successfully submitted by Rong Gu and posted to the 
IETF repository. 

Name: draft-gu-nfvrg-cloud-bng-architecture 
Revision: 00 
Title: Control and User Plane Seperation Architecture of Cloud based BNG 
Document date: 2017-02-28 
Group: Individual Submission 
Pages: 6 
URL: [ https://www.ietf.org/internet-drafts/draft-gu-nfvrg-cloud-bng-architecture-00.txt | 
https://www.ietf.org/internet-drafts/draft-gu-nfvrg-cloud-bng-architecture-00.txt ] 
Status: [ https://datatracker.ietf.org/doc/draft-gu-nfvrg-cloud-bng-architecture/ | 
https://datatracker.ietf.org/doc/draft-gu-nfvrg-cloud-bng-architecture/ ] 
Htmlized: [ https://tools.ietf.org/html/draft-gu-nfvrg-cloud-bng-architecture-00 | 
https://tools.ietf.org/html/draft-gu-nfvrg-cloud-bng-architecture-00 ] 

Abstract: 
This document defines the architecture of Clond-based BNG devices 
with control plane (CP) and user plane (UP) seperation. Both BNG-CP 
and BNG-UP are core components for fixed broadband services and 
deployed seperately at different network layer. 

Please note that it may take a couple of minutes from the time of submission 
until the htmlized version and diff are available at tools.ietf.org. 

The IETF Secretariat 

_______________________________________________ 
Nfvrg mailing list 
[email-masked] 
https://www.irtf.org/mailman/listinfo/nfvrg 
BQ_END

---

From: 顾 戎 <[email-masked]>
Date: Fri, 3 Mar 2017 09:29:12 +0000

Hi, Kostas.

Thank you for kindly review.

(1) About the goal and scope, I should add a paragraph introducing the targets and benefits of this new architecture in BNG device in order to make cons. This architecture is what we recommend in order to make use of resources.

(2) About the activity, we come up the future network architect named NovoNet in which the control and user plane separation architecture noted as a part of the new network.

(3) The motivation and stage, I think the architecture comes out firstly. Then is the protocol between CP and UP. We have submitted another draft in vxlan extension using in communication between CP and UP. As it's related with vxlan, we submitted in NVO3 work group. Here is the link.https://datatracker.ietf.org/doc/draft-huang-nvo3-vxlan-extension-for-vbras/

(4) About the EU project, it's helpful to give me this message. I have read the slide and found out that they produced a SDN based BRAS which focuses on traffic. While in our architect, the control plane focuses more on session controller. Thank you for providing this information.

(5) About the editorial error, I will fix it in the next version. Thanks a lot.

Best regards.

Gu Rong

________________________________
发件人: Kostas Pentikousis <[email-masked]>
发送时间: 2017年3月2日 15:09:07
收件人: gurong cmcc
抄送: nfvrg
主题: Re: [Nfvrg] Solicit comments for draft-gu-nfvrg-cloud-bng-architecture-00 "Control and User Plane Separation Architecture of Cloud based BNG"

Hi Rong,

Just my $0.02.

Best regards,

Kostas

________________________________

Hi, dear all.

For details:

URL:            https://www.ietf.org/internet-drafts/draft-gu-nfvrg-cloud-bng-architecture-00.txt

Best regards.

Gu Rong

________________________________
发件人: [email-masked] <[email-masked]>
发送时间: 2017年2月28日 17:27
收件人: Rong Gu; Shujun Hu
主题: New Version Notification for draft-gu-nfvrg-cloud-bng-architecture-00.txt

Name:           draft-gu-nfvrg-cloud-bng-architecture
Revision:       00
Title:          Control and User Plane Seperation Architecture of Cloud based BNG
Document date:  2017-02-28
Group:          Individual Submission
Pages:          6
URL:            https://www.ietf.org/internet-drafts/draft-gu-nfvrg-cloud-bng-architecture-00.txt
Status:         https://datatracker.ietf.org/doc/draft-gu-nfvrg-cloud-bng-architecture/
Htmlized:       https://tools.ietf.org/html/draft-gu-nfvrg-cloud-bng-architecture-00

Abstract:

The IETF Secretariat